using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

// Bitte beachten Sie auch den Fortsetzungsband zu diesem Buch, falls
// Ihnen das Programmieren Spaß gemacht hat und Sie sich fortgeschritteneren 
// Themen zuwenden wollen. Alle Informationen zum Fortsetzungsband finden
// Sie auf der Website: www.tiefer-einsteigen.de 

namespace AusnahmenVersion2
{
    class Program
    {
        static void Main(string[] args)
        {
            string eingabe1, eingabe2;
            int operand1, operand2;

            Console.WriteLine("Geben Sie den Dividenden ein:");
            eingabe1 = Console.ReadLine();
            
            try
            {
                operand1 = int.Parse(eingabe1);
            }
            catch (Exception)
            {
                Console.WriteLine("Sie können hier nur Zahlen eingeben.");
                Console.WriteLine("Bitte starten Sie das Programm erneut und geben Sie eine Zahl ein.");
                return;
            }

            Console.WriteLine("Geben Sie den Divisor ein:");
            eingabe2 = Console.ReadLine();

            try
            {
                operand2 = int.Parse(eingabe2);
                Console.WriteLine("Der Quotient ist: " + (operand1 / operand2));
            }
            catch (FormatException)
            {
                Console.WriteLine("Sie können hier nur Zahlen eingeben.");
                Console.WriteLine("Bitte starten Sie das Programm erneut und geben Sie eine Zahl ein.");
                return;
            }
            catch (DivideByZeroException)
            {
                Console.WriteLine("Durch 0 kann nicht dividiert werden.");
                Console.WriteLine("Bitte starten Sie das Programm erneut und geben Sie eine Zahl ein.");
                return;
            }
            catch (Exception exc)
            {
                Console.WriteLine("Es ist eine Ausnahme aufgetreten. Die Fehlermeldung lautet:");
                Console.WriteLine(exc.Message);
                Console.WriteLine("Das Programm wird beendet.");
            }
        }
    }
}
